Package org.eclipse.ltk.ui.refactoring.resource

# Class RenameResourceWizard.RenameResourceRefactoringConfigurationPage

java.lang.Object
org.eclipse.jface.dialogs.DialogPage
org.eclipse.jface.wizard.WizardPage
org.eclipse.ltk.ui.refactoring.RefactoringWizardPage
org.eclipse.ltk.ui.refactoring.UserInputWizardPage
org.eclipse.ltk.ui.refactoring.resource.RenameResourceWizard.RenameResourceRefactoringConfigurationPage

All Implemented Interfaces:
  `IDialogPage`, `IMessageProvider`, `IWizardPage`

Enclosing class:
  RenameResourceWizard

public static class RenameResourceWizard.RenameResourceRefactoringConfigurationPage extends UserInputWizardPage

Since:
  3.11

## Field Summary

### Fields inherited from class org.eclipse.ltk.ui.refactoring.RefactoringWizardPage

`REFACTORING_SETTINGS`

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`RenameResourceRefactoringConfigurationPage(String name, IRenameResourceProcessor processor)`
`RenameResourceRefactoringConfigurationPage(IRenameResourceProcessor processor)`

## Method Summary

Modifier and Type
Method
Description
`void`
`createControl(Composite parent)`
Creates the top level Composite for this dialog page under the given parent composite.
`IWizardPage`
`getNextPage()`
Returns the wizard page that would to be shown if the user was to press the Next button.
`protected IRenameResourceProcessor`
`getProcessor()`
`protected void`
`initializeRefactoring()`
`protected boolean`
`performFinish()`
Performs any actions appropriate in response to the user having pressed the Finish button, or refuse if finishing now is not permitted.
`void`
`setVisible(boolean visible)`
The `DialogPage` implementation of this `IDialogPage` method sets the control to the given visibility state.
`protected void`
`storeSettings()`
`protected final void`
`validatePage()`

### Methods inherited from class org.eclipse.ltk.ui.refactoring.UserInputWizardPage

`canFlipToNextPage, computeSuccessorPage, isLastUserInputPage, setPageComplete`

### Methods inherited from class org.eclipse.ltk.ui.refactoring.RefactoringWizardPage

`getRefactoring, getRefactoringSettings, getRefactoringWizard, setWizard`

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`getContainer, getDialogSettings, getImage, getName, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

## Constructor Details

### RenameResourceRefactoringConfigurationPage

public RenameResourceRefactoringConfigurationPage(IRenameResourceProcessor processor)

### RenameResourceRefactoringConfigurationPage

public RenameResourceRefactoringConfigurationPage(String name, IRenameResourceProcessor processor)

## Method Details

### createControl

public void createControl(Composite parent)
Creates the top level Composite for this dialog page under the given parent composite.

The created top level Composite will be set as the top level control for this dialog page and can be accessed using `getControl`

The top level Composite will have a GridLayout of 2 columns of unequal width

Parameters:
  `parent` - the parent composite

### setVisible

public void setVisible(boolean visible)
Description copied from class: `DialogPage`
The `DialogPage` implementation of this `IDialogPage` method sets the control to the given visibility state. Subclasses may extend.

Specified by:
  `setVisible` in interface `IDialogPage`
Overrides:
  `setVisible` in class `UserInputWizardPage`
Parameters:
  `visible` - `true` to make this page visible, and `false` to hide it

### validatePage

protected final void validatePage()

### performFinish

protected boolean performFinish()
Description copied from class: `RefactoringWizardPage`
Performs any actions appropriate in response to the user having pressed the Finish button, or refuse if finishing now is not permitted. This method is called by the refactoring wizard on the currently active refactoring wizard page.

Overrides:
  `performFinish` in class `UserInputWizardPage`
Returns:
  `true` to indicate the finish request was accepted, and `false` to indicate that the finish request was refused

### getNextPage

public IWizardPage getNextPage()
Description copied from interface: `IWizardPage`
Returns the wizard page that would to be shown if the user was to press the Next button.

Specified by:
  `getNextPage` in interface `IWizardPage`
Overrides:
  `getNextPage` in class `UserInputWizardPage`
Returns:
  the next wizard page, or `null` if none

### storeSettings

protected void storeSettings()

### initializeRefactoring

protected void initializeRefactoring()

### getProcessor

protected IRenameResourceProcessor getProcessor()